use crate::http_client::HttpClient;
use crate::url;

pub async fn get_request(user: String) -> String {
    let base_url = url(&"describe");
    let url = format!("{}?repo={}", base_url, user);
    let client = HttpClient::new();

    match client.get(&url).await {
        Ok(response) => response,
        Err(e) => format!("Error: {}", e),
    }
}
